// --------------------------------------------------------------------------
// Ui
// --------------------------------------------------------------------------



//- --------------------------------------------------------------------------
//- Form
//- --------------------------------------------------------------------------


.ui-validate {
    display: block;
    font-size: 12px;
    line-height: 14px;
    font-weight: 400;
    color: #CF2A2A;
    padding: 5px 0 0;
}




.ui-placeholder {
    position: relative;
    margin: 0 0 26px; 
    white-space: nowrap;
    text-align: left;

    .ui-validate {
        position: absolute;
        bottom: 100%;
        right: 0;
        font-size: 12px;
        line-height: 24px;
        font-weight: 400;
    }

    &.is-focus, &.is-changed {
        .ui-placeholder__label {
            background: #fff;
            transform: scale(0.75) translate(0,-31px);
        }
        .ui-placeholder__input {
            background: #fff;
            border-color: #C1CFD0;
            
        }
        
    }

    &.is-error {
        .ui-placeholder__input,
        .ui-input {
            border-color: #CF2A2A;
        }
    }
    &.is-focus {
        z-index: 1000;
    }

}



.ui-placeholder__label {
    display: inline-flex;
    align-items: center;
    position: absolute;
    top: 5px;
    left: 10px;
    z-index: 110;
    padding: 0 10px;
    pointer-events: none;
    color: #666666;
    border: 1px solid transparent;
    font-size: 16px;
    line-height: 30px;
    font-weight: 400;
    border-radius: 2px;

    transition: .25s;

    height: 42px;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;

    transform-origin: 15px 0;

    sup {
        color: #CF2A2A;
    }

    @include breakpoint(md) {
        height: 46px;
    }
    @include breakpoint(xl) {
        height: 50px;
    }
}


.ui-placeholder__input {
    display: block;
    transition: .25s;
    width: 100%;
    border: 1px solid #F6F9FB;
    background: white;
    box-shadow: inset 0px 2px 3px rgba(0, 30, 80, 0.03);

    font: 400 16px/30px $fontBase;
    padding: 10px 20px;
    color: #0D0F19;
    -webkit-appearance: none;
    margin: 0;
    transition: 0.25s;
    box-shadow: none;  
    border-radius: 2px;
    height: 52px;
    margin: 0;

    &:disabled {
        border-color: #e4ebf1;
        background: #e4ebf1;
        pointer-events: none;
    }
    @include breakpoint(md) {
        height: 56px;
        padding: 12px 20px;
    }
    @include breakpoint(xl) {
        height: 60px;
        padding: 14px 20px;
    }
}

.ui-placeholder__textarea {
    @extend .ui-placeholder__input;
    transition: box-shadow 0.25s;
    max-width: 100%;
    min-height: 108px;
    height: 108px;
    min-width: 100%;
    @include breakpoint(md) {
        min-height: 148px;
        height: 148px;
    }
}






.ui-action {
    text-align: center;
    @include breakpoint(md) {
        text-align: left;
        &--center {
            text-align: center;
        }
    }
}



// ----- Form Checkbox & Radio


.ui-check {
    position: relative;
    padding: 0 0 0 40px;
    display: block;
    margin: 0 0 40px;

    font-size: 16px;
    line-height: 25px;
    font-weight: 400;

    min-height: 25px;
    min-width: 25px;

    color: #333;

    cursor: pointer;

    text-align: left;

    a {
        color: #00757E;
        text-decoration: none;
        &:hover {
            color: #608C8F;
            text-decoration: none;
        }
    }

    @include breakpoint(md) {
        padding: 0 0 0 34px;
        font-size: 16px;
        line-height: 22px;
        font-weight: 400;
        min-width: 22px;
        min-width: 22px;
    }

}

.ui-check__input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    &:checked ~ .ui-check__radio {
        background-color: #00757E;
        background: #00757E;
        &:after {
            opacity: 1;
        }
    }

    &:checked ~ .ui-check__checkbox {
        border-color: #00757E;
        background: #00757E;
        svg {
            opacity: 1;
        }
    }

  
}

.ui-check__checkbox {
    display: block;
    background: #fff;
    border: 1px solid #333;
    width: 25px;
    height: 25px;
    display: block;
    border-radius: 1px;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.25s;
    svg {
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        width: 18px;
        height: 12px;
        color: #fff;
        margin: -6px 0 0 -9px;
        opacity: 0;
        transition: opacity 0.25s;
    }

    @include breakpoint(md) {
        width: 22px;
        height: 22px;
        svg {
            height: 10px;
        }
    }
}

//- --------------------------------------------------------------------------
//- Ui - Buttons
//- --------------------------------------------------------------------------


.ui-btn {
	font: 500 22px/30px $fontBase;
	display: inline-block;
	vertical-align: top;
	position: relative;
	border: 1px solid transparent;
	padding: 20px 40px;
	text-decoration: none;
	transition: .25s;
	text-align: center;
	cursor: pointer;
	border-radius: 3px;
	height: 72px;
	
	&:hover {
		text-decoration: none;
		
	}
	&:active {
		transition: none;
	}
	
}

.ui-btn--action {
    padding: 21px 51px;
	position: relative;
    font: 500 22px/30px $fontBase;
	display: inline-block;
	vertical-align: top;
	line-height: 26px;
	text-align: center;
	text-decoration: none;
	border: 1px solid transparent;
	border-radius: 3px;
	transition: .25s;
	cursor: pointer;

    @include breakpointMax(xl) {
		padding: 23px 33px;
		font-size: 20px;
		line-height: 22px;
	}

    @include breakpointMax(lg) {
		padding: 18px 28px;
		font-size: 16px;
		line-height: 18px;
	}

	@include breakpointMax(md) {
		padding: 14px 25px;
		font-size: 16px;
		line-height: 18px;
	}
}

.ui-btn--social {
    padding: 0;
    height: 62px;
    svg {
        width: 62px;
        height: 62px;
        display: block;
    }
    &:hover {
        opacity: 0.75;
    }
}

.ui-btn--h36 {
	height: 36px;
	padding: 2px 20px;
	font-size: 13px;
}

.ui-btn--h56 {
	font-size: 16px;
	padding: 8px 30px;
	height: 48px;
	@include breakpoint(lg) {
		height: 56px;
		padding: 10px 32px;
	}
}
.ui-btn--h62 {
  height: 46px;
  font-size: 16px;
  padding: 7px 25px;
  @include breakpoint(md) {
    height: 56px;
    padding: 12px 32px;
  }
  @include breakpoint(lg) {
    height: 62px;
    padding: 15px 20px;
    font-size: 18px;
  }
}
.ui-btn--h72 {
	height: 46px;
	font-size: 16px;
	padding: 7px 25px;
	@include breakpoint(md) {
		height: 56px;
		padding: 12px 32px;
	}
	
	@include breakpoint(lg) {
		height: 72px;
		padding: 20px 40px;
		font-size: 22px;
	}
}

.ui-btn--more {
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	padding: 0;
	color: #333333;
	opacity: 0.6;
	height: auto;
	&:hover {
		opacity: 1;
	}
}

.ui-btn--theme {
	background: #00757E;
	color: #fff;
	&:hover {
		background: #608C8F;
		color: #fff;
	}
	&:active {
		background: #00585F;
		color: #fff;
	}
}

.ui-btn--outline {
	border-color:#00757E;
	color: #00757E;
	background: none;
	&:hover {
		background: #00757E;
		border-color: #00757E;
		color: #fff;
	}
	&:active {
		background: #00585F;
		color: #fff;
	}
}


.ui-btn--link {
	border: none;
	padding-left: 0;
	padding-right: 0;
	color: #00757E;
    text-decoration: none;
	&:hover {
		color: #608C8F;
	}
	&:active {
		color: #00585F;	
	}
}





//- --------------------------------------------------------------------------
//- Ui - Range
//- --------------------------------------------------------------------------


.ui-range {
	

	.ui-input {
		font-size: 22px;
		font-weight: 500;
	}
}

.ui-range__label {
	display: block;
	font-size: 20px;
	line-height: 32px;
	font-weight: 400;
	margin: 0 0 10px;
}

.ui-range__field {
	position: relative;
	.ui-field {
		margin: 0;
	}
}


//- --------------------------------------------------------------------------
//- Ui - input
//- --------------------------------------------------------------------------

.ui-field {
	position: relative;
	margin: 0 0 20px;
	.ui-input {
		margin: 0;
	}
}

.ui-append {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	display: flex;
	align-items: center;
	font-size: 20px;
	color: #666666;
	opacity: 0.5;
	padding: 0 20px;
	@include breakpoint(lg) {
		font-size: 22px;
	}
}

.ui-label {
	display: block;
	font-size: 20px;
	line-height: 32px;
	font-weight: 400;
	margin: 0 0 10px;
}

.ui-total {
	display: block;
	font-size: 50px;
	line-height: 56px;
	font-weight: 400;
	margin: 0;
	@include breakpoint(lg) {
		font-size: 56px;
		line-height: 72px;
	}
}

//- --------------------------------------------------------------------------
//- Ui - Inputs
//- --------------------------------------------------------------------------

.ui-field {
	margin: 0 0 10px;
	.ui-input, .ui-textarea {
		margin: 0;
	}
}

.ui-input {
    display: block;
    transition: .25s;
    width: 100%;
    background: #fff;
    border: 2px solid #fff;

    font: 400 16px/28px $fontBase;
    padding: 12px 20px;
    color: #333333;
    appearance: none;
    margin: 0;
    transition: 0.25s;
    box-shadow: none;  
    border-radius: 3px;
    margin: 0 0 20px;

    &::placeholder {
        color: #666;
    }

    &:focus {
        border-color: #00757E;
    }

    &:disabled {
        border-color: #e4ebf1;
        background: #e4ebf1;
        pointer-events: none;
    }

	@include breakpoint(lg) {
		font-size: 22px;
		padding: 20px 20px;
	}

}

.ui-textarea {
    @extend .ui-input;
    max-width: 100%;
    min-width: 100%;
    min-height: 192px;
    margin: 0 0 16px;
    resize: none;

}

.is-error .ui-input,
.is-error .ui-textarea {
    border-color: #FF450C;
    box-shadow: 0 0 0 2px rgba(#FF450C,.25);
}

//- --------------------------------------------------------------------------
//- Ui - Select
//- --------------------------------------------------------------------------

.ui-select {
    display: inline-block;
    vertical-align: top;
    width: 100%;
	margin: 0 0 20px;
	color: #333;

    select {
        width: 100%;
        font: 400 16px/28px $fontBase;
    	padding: 12px 20px;
        border: 2px solid #fff;
        border-radius: 3px;
        appearance: none;
		background: #fff url(../images/icons/icon-arrow-select.svg) right 16px center no-repeat;
		
        white-space: nowrap;
        text-overflow: ellipsis;
        height: 56px;

        @include breakpoint(lg) {
			font-size: 22px;
			padding: 20px;
			height: 72px;
        }
    }


    .selectric-wrapper {
        position: relative;
        cursor: pointer;
        font: 400 16px/28px $fontBase;
        text-transform: none;
        width: 100%;

        @include breakpoint(lg) {
            font-size: 22px;
        }
        
    }
    .selectric {
        position: relative;
        overflow: hidden;
        background: #fff;
        border: 2px solid #fff;
        border-radius: 3px;
        padding: 12px 20px;
		transition: 0.25s;
		color: #333;

        
    
        .label {
            display: block;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            user-select: none;
        }
        .arrow {
            display: flex;
            align-items: center;
            justify-content: center;
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            width: 48px;
            svg {
                display: block;
                transition: transform 0.25s;
                width: 24px;
				height: 24px;
				opacity: 0.44;
            }
		}
		
		@include breakpoint(lg) {
			padding: 20px;
			
        }
       
    }


    .selectric-items {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        background: #fff;
        border: 2px solid #fff;
        z-index: 100;
        margin: 0;
        width: auto !important;
        min-width: 100%;

        overflow: hidden;

        border-radius: 0 0 3px 3px;

        .selectric-scroll {
            height: 100%;
            overflow-x: hidden;
            overflow-y: auto;
            max-height: 480px;
        }

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
        }

        li {
            position: relative;
            display: block;
            cursor: pointer;
            padding: 10px 20px;
            margin: 0 0 1px;
            transition: color 0.25s;
            &:last-child {
                margin: 0;
            }
            &:hover {
                color: #00757E;
            }
            &.selected {
                display: none;
            }
            &.highlighted {
                
            }
            &.disabled {
            	display: none;
            }

            @include breakpoint(lg) {
                padding: 10px 20px;
            }
        }

        .selectric-checked {
        	display: none;
        }
        
        .ui-select-group {
            li:not(.ui-select-group-label) {
                padding-left: 30px;
            }
        }

        .ui-select-group-label {
            pointer-events: none;
        }

        

    }

    // Native

    .selectric-hide-select {
        position: relative;
        overflow: hidden;
        width: 0;
        height: 0;
        select {
            position: absolute;
            left: -100%;
        }
    }

    .selectric-hide-select.selectric-is-native {
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: 10;
        select {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            height: 100%;
            width: 100%;
            border: none;
            z-index: 1;
            box-sizing: border-box;
            opacity: 0;
        }
    }


    .selectric-input {
        position: absolute !important;
        top: 0 !important;
        left: 0 !important;
        overflow: hidden !important;
        clip: rect(0, 0, 0, 0) !important;
        margin: 0 !important;
        padding: 0 !important;
        width: 1px !important;
        height: 1px !important;
        outline: none !important;
        border: none !important;
        background: none !important;
    }

    .selectric-temp-show {
        position: absolute !important;
        visibility: hidden !important;
        display: block !important;
    }

    // ----- States

    .selectric-open {
        z-index: 500;
        .selectric {
            border-radius: 3px 3px 0 0;
            
            .arrow {
                svg {
                    transform: rotate(180deg);
                }
            }
        }
        .selectric-items {
            display: block;
        
           
        }
    }

    .selectric-disabled {
        opacity: 0.5;
        cursor: default;
        user-select: none;
    }

}







//- --------------------------------------------------------------------------
//- Ui - Table
//- --------------------------------------------------------------------------

.ui-table {
    width: 100%;
    margin: 0 0 30px;
    text-align: left;
    border-collapse: collapse;
    border-spacing: 0;
    th, td {
        padding: 10px;
        border-bottom: 1px solid #E0E0E0;
    }
    th {
        font-weight: 500;
        text-transform: uppercase;
        white-space: nowrap;
    }
    tbody tr:last-of-type td {
    	border: none;
    }
    
}

//- --------------------------------------------------------------------------
//- Ui - Lists
//- --------------------------------------------------------------------------

.ui-ul {
    margin: 0 0 30px;
    padding: 0;
    list-style: none;
    & > li {
        position: relative;
        padding: 0 0 0 24px;
        margin: 0 0 10px;
        &:after {
            content: '';
            display: block;
            position: absolute;
            top: 12px;
            left: 0;
            border-radius: 50%;
            width: 6px;
            height: 6px;
            background-color: #608C8F;
        }
    }
}

.ui-ol {
    margin: 0 0 30px;
    padding: 0;
    list-style: none;
    counter-reset: point;
    & > li {
        position: relative;
        padding: 0 0 0 40px;
        margin: 0 0 20px;
        min-height: 36px;
        // display: flex;
        // flex-wrap: wrap;
        // align-items: center;
        &:after {
            content: counter(point);
            counter-increment: point 1;
            position: absolute;
            top: 0;
            left: 0;
            font-size: 26px;
            line-height: 1;
            font-weight: 400;
            color: #00757E;
            
        }
        &:before {
            content: '';
            display: block;
            position: absolute;
            top: 3px;
            left: 24px;
            height: 20px;
            border-right: 1px solid rgba(#828282,0.5);
        }
    }

    @include breakpoint(md) {
        & > li {
            margin: 0 0 26px;
            padding: 0 0 0 64px;
            &:after {
                font-size: 35px;
            }
            &:before {
                left: 34px;
                height: 28px;
            }
        }
    }
}

//- --------------------------------------------------------------------------
//- Ui - Image
//- --------------------------------------------------------------------------


.ui-image {
	overflow: hidden;
	margin: 0 0 30px;
	display: block;
	img {
		display: block;
		width: 100%;
	}

	figcaption {
		text-align: center;
		max-width: 1000px;
		margin: 0 auto;
		padding: 20px 0 0;

		font-size: 14px;
		line-height: 1.3;
		font-weight: 500;
		font-style: italic;
		letter-spacing: -0.5px;
		color: rgba(7, 8, 9, 0.5);
	}

	&.pull-left {
		float: left;
		max-width: 380px;
		margin: 0 40px 30px 0;
		@include breakpointMax(md) {
			margin: 0 0 30px;
			float: none;
			max-width: none;
		}
	}
	&.pull-right {
		float: right;
		max-width: 380px;
		margin: 0 0 30px 40px;
		@include breakpointMax(md) {
			margin: 0 0 30px;
			float: none;
			max-width: none;
		}
	}

}


.ui-play {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 48px;
	height: 48px;
	border-radius: 50%;
	background: rgba(255,255,255,0.2);
	display: flex;
	align-items: center;
	justify-content: center;
	color: #fff;
	transform: translate(-50%,-50%);
	transition: 0.25s;
	z-index: 100;
	svg {
		width: 8px;
		height: 12px;
		display: block;
		position: relative;
	}
	&:hover {
		background: rgba(255,255,255,0.5);
		color: #00757E;
	}
	@include breakpoint(md) {
		width: 72px;
		height: 72px;
		svg {
			width: 12px;
			height: 18px;
		}
	}
	@include breakpoint(xl) {
		width: 108px;
		height: 108px;
		svg {
			width: 16px;
			height: 26px;
		}
	}
}